Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Class ActClassFinancialContract

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.ohf.ihe.common.cdar2.ActClassFinancialContract

All Implemented Interfaces:
  org.eclipse.emf.common.util.Enumerator

    public final class ActClassFinancialContract

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'Act Class Financial Contract', and utility methods for working with them. specDomain: V14003 (C-0-D11527-V13856-V14002-V14003-cpt)

See Also:
  `CDAR2Package.getActClassFinancialContract()`

Field Summary
`static int` | `COV` The 'COV' literal value.
`static ActClassFinancialContract` | `COV_LITERAL` The 'COV' literal object.
`static int` | `FCNTRCT` The 'FCNTRCT' literal value.
`static ActClassFinancialContract` | `FCNTRCT_LITERAL` The 'FCNTRCT' literal object.
`static java.util.List` | `VALUES` A public read-only list of all the 'Act Class Financial Contract' enumerators.

Method Summary
`static ActClassFinancialContract` | `get(int value)` Returns the 'Act Class Financial Contract' literal with the specified integer value.
`static ActClassFinancialContract` | `get(java.lang.String literal)` Returns the 'Act Class Financial Contract' literal with the specified literal value.
`static ActClassFinancialContract` | `getByName(java.lang.String name)` Returns the 'Act Class Financial Contract' literal with the specified name.

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### FCNTRCT

    public static final int FCNTRCT

  The 'FCNTRCT' literal value.

  If the meaning of 'FCNTRCT' literal object isn't clear, there really should be more of a description here...

  See Also:
    `FCNTRCT_LITERAL`, Constant Field Values

### COV

    public static final int COV

  The 'COV' literal value.

  If the meaning of 'COV' literal object isn't clear, there really should be more of a description here...

  See Also:
    `COV_LITERAL`, Constant Field Values

### FCNTRCT_LITERAL

    public static final ActClassFinancialContract FCNTRCT_LITERAL

  The 'FCNTRCT' literal object.

  See Also:
    `FCNTRCT`

### COV_LITERAL

    public static final ActClassFinancialContract COV_LITERAL

  The 'COV' literal object.

  See Also:
    `COV`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Act Class Financial Contract' enumerators.

Method Detail

### get

    public static ActClassFinancialContract get(java.lang.String literal)

  Returns the 'Act Class Financial Contract' literal with the specified literal value.

### getByName

    public static ActClassFinancialContract getByName(java.lang.String name)

  Returns the 'Act Class Financial Contract' literal with the specified name.

### get

    public static ActClassFinancialContract get(int value)

  Returns the 'Act Class Financial Contract' literal with the specified integer value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD